tasks:
  walking:
    type: "walking"
    distance: 100000
display:
  name: "&aWalk 100,000 Blocks"
  lore-normal:
    - "&7Walk 100,000 blocks around the server to complete"
    - "&7this quest and earn the following rewards:"
    - ""
    - "&eRewards:"
    - "&8* &aNetherite Chestplate"
    - "&8* &aDiamond Pickaxe"
    - "&8* &a16 Enchanted Golden Apples"
    - "&8* &2$&a20,000 Money"
  lore-started:
    - ""
    - "&eYour current progression:"
    - "&8* &f{walking:progress}&8/&f100,000 blocks walked."
  type: "BOOK"

rewards:
  - "eco give {player} 20000"
  - "minecraft:give {player} netherite_pickaxe 1"
  - "minecraft:give {player} netherite_chestplate 1"
  - "minecraft:give {player} enchanted_golden_apple 1"
  - "rawmsg {player} true &8&m---------------<n>&e&lQUEST COMPLETE<n>&7Rewards: &2$&a20,000 Money &7& &amany more...<n>&8&m---------------"

placeholders:
  description: "&7Walk &f100,000 blocks &7around the server."
  progress: " &8* &f{walking:progress}&8/&7100,000 blocks walked."

options:
  category: "walking"
  repeatable: true
  cooldown:
    enabled: true
    time: 10080
  sort-order: 9